Package com.sun.speech.freetts.cart

# Class Phraser

java.lang.Object
com.sun.speech.freetts.cart.Phraser

All Implemented Interfaces:
  `UtteranceProcessor`

public class Phraser extends Object implements UtteranceProcessor
Creates a `Relation.PHRASE` relation, grouping `Relation.WORD` relations by breaks.

See Also:
  - `Relation.PHRASE`
  - `Relation.WORD`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final CART`
`cart`
The CART used for this Phrasing UtteranceProcessor.

## Constructor Summary

Constructors
Constructor
Description
`Phraser(CART cart)`
Creates a new Phrasing UtteranceProcessor with the given CART.

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Creates a `Relation.PHRASE` relation, grouping `Relation.WORD` relations by breaks.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### cart

protected final CART cart
The CART used for this Phrasing UtteranceProcessor. It is passed into the constructor.

## Constructor Details

### Phraser

public Phraser(CART cart)
Creates a new Phrasing UtteranceProcessor with the given CART. The phrasing CART is expected to return "BB" values for big breaks.

Parameters:
  `cart` - a phrasing CART

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Creates a `Relation.PHRASE` relation, grouping `Relation.WORD` relations by breaks. Depends upon a phrasing CART that returns strings containing "BB" for big breaks.

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the utterance to process
Throws:
  `ProcessException` - if a problem is encountered during the processing of the utterance

### toString

public String toString()

Overrides:
  `toString` in class `Object`